; (function ($) {
	'use strict'
  
	/**
	 * JavaScript code for admin dashboard.
	 *
	 */
  
	$(function () {
	  /* Preloader */
	  $("#ta_pdt_view_options .pdt-metabox").css("visibility", "hidden");
  
	  var PDT_layout_type = $(
		'#pdt-section-ta_pdt_layouts_1 .pdt-field-layout_preset .pdt-siblings .pdt--sibling'
	  )
	  var PDT_get_layout_value = $(
		'#pdt-section-ta_pdt_layouts_1 .pdt-field-layout_preset .pdt-siblings .pdt--sibling.pdt--active'
	  )
		.find('input')
		.val()
  
	  // Carousel Layout.
	  if (PDT_get_layout_value !== 'carousel_layout') {
		$(
		  '#ta_pdt_view_options .pdt-nav ul li.menu-item_ta_pdt_view_options_3'
		).hide()
		$(
		  '#ta_pdt_view_options .pdt-nav ul li.menu-item_ta_pdt_view_options_1 a'
		).trigger('click');
	  } else {
		$(
		  '#ta_pdt_view_options .pdt-nav ul li.menu-item_ta_pdt_view_options_3'
		).show()
	  }
  
	  /**
	   * Show/Hide tabs on changing of layout.
	   */
	  $(PDT_layout_type).on('change', 'input', function (event) {
		var PDT_get_layout_value = $(this).val();
  
		// Carousel Layout.
		if (PDT_get_layout_value !== 'carousel_layout') {
		  $(
			'#ta_pdt_view_options .pdt-nav ul li.menu-item_ta_pdt_view_options_3'
		  ).hide()
		  $(
			'#ta_pdt_view_options .pdt-nav ul li.menu-item_ta_pdt_view_options_1 a'
		  ).trigger('click');
		} else {
		  $(
			'#ta_pdt_view_options .pdt-nav ul li.menu-item_ta_pdt_view_options_3'
		  ).show()
		}
	  })
  
	  /* Preloader js */
	  $("#ta_pdt_view_options .pdt-metabox").css({ "backgroundImage": "none", "visibility": "visible", "minHeight": "auto" });
	  $("#ta_pdt_view_options .pdt-nav-metabox li").css("opacity", 1);
  
	  /* Copy to clipboard */
	  $('.pdt-shortcode-selectable').on('click',function (e) {
		e.preventDefault();
		pdt_copyToClipboard($(this));
		pdt_SelectText($(this));
		$(this).trigger("focus").select();
		$('.pdt-after-copy-text').animate({
		  opacity: 1,
		  bottom: 25
		}, 300);
		setTimeout(function () {
		  jQuery(".pdt-after-copy-text").animate({
			opacity: 0,
		  }, 200);
		  jQuery(".pdt-after-copy-text").animate({
			bottom: 0
		  }, 0);
		}, 2000);
	  });
	  $('.ta_pdt_input').on('click',function (e) {
		e.preventDefault();
		/* Get the text field */
		var copyText = $(this);
		/* Select the text field */
		copyText.select();
		document.execCommand("copy");
		$('.pdt-after-copy-text').animate({
		  opacity: 1,
		  bottom: 25
		}, 300);
		setTimeout(function () {
		  jQuery(".pdt-after-copy-text").animate({
			opacity: 0,
		  }, 200);
		  jQuery(".pdt-after-copy-text").animate({
			bottom: 0
		  }, 0);
		}, 2000);
	  });
	  function pdt_copyToClipboard(element) {
		var $temp = $("<input>");
		$("body").append($temp);
		$temp.val($(element).text()).select();
		document.execCommand("copy");
		$temp.remove();
	  }
	  function pdt_SelectText(element) {
		var r = document.createRange();
		var w = element.get(0);
		r.selectNodeContents(w);
		var sel = window.getSelection();
		sel.removeAllRanges();
		sel.addRange(r);
	  }
  
	})
  })(jQuery)
  