<?php

/**
 *  Shuffle filter view file
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/filter.php
 *
 * @package    Productify_pro
 * @subpackage Productify_pro/public/template
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div id="pdt_wrapper-<?php echo esc_attr( $pdt_gl_id ); ?>" class="<?php self::pdt_wrapper_classes( $layout_preset, $pdt_gl_id, $pagination_type, $item_same_height_class ); ?>" data-sid="<?php echo esc_attr( $pdt_gl_id ); ?>" <?php self::wrapper_data( $pagination_type, $pagination_type_mobile, $pdt_gl_id ); ?> data-grid="<?php echo esc_attr( $grid_style ); ?>" data-lang="<?php echo esc_attr( $spta_lang ); ?>">
	<?php
	PDT_HTML::pdt_section_title( $section_title, $show_section_title );
	PDT_HTML::pdt_preloader( $show_preloader );
	$categories = get_categories(
		array(
			'orderby' => 'name',
			'parent'  => 0,
		)
	);
	if ( is_array( $advanced_filter ) && ! $pdt_query->is_main_query() ) {
		?>
		<div class="pdt-shuffle-filter">
			<?php
			$filter_type = isset( $view_options['pdt_filter_type'] ) ? $view_options['pdt_filter_type'] : '';
			Productify_Pro_Shuffle_Filter::pdt_shuffle_filter( $view_options, $layout_preset, $pdt_query, $filter_type );
			?>
		</div>
	<?php } ?>
	<div class="ta-row grid">
		<?php self::pdt_get_posts( $options, $layout_preset, $product_content_sorter, $pdt_query, $pdt_gl_id ); ?>
	</div>
	<?php require PDT_Functions::pdt_locate_template( 'pagination.php' ); ?>
</div>
