<?php

/**
 * Thumb On Sale
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/item/post-thumb-on-sale.php
 *
 * @package    Productify_Pro
 * @subpackage Productify_Pro/public
 */

?>
<div class="productify__item--archive <?php echo esc_attr( $product_thumb_meta_position ); ?>">
	<?php
	$start_tag      = $is_table ? '<td class="ta-pdt-post-meta">' : '<li>';
	$end_tag        = $is_table ? '</td>' : '</li>';
	$meta_tag_start = apply_filters( 'pdt_product_meta_html_tag_start', $start_tag );
	$meta_tag_end   = apply_filters( 'pdt_product_meta_html_tag_end', $end_tag );

	if ( $product->is_on_sale() ) {
		echo wp_kses_post( $meta_tag_start );
		echo '<span>' . esc_html__( 'On Sale', 'productify-pro' ) . '</span>';
		echo wp_kses_post( $meta_tag_end );
	}
	?>
</div>
