;(function( $, window ) {
  'use strict';

/*  Keep the accordion field's first item opened */
$(window).load(function () {
  $('.pdt-opened-accordion').each(function () {
    if (!$(this).hasClass('hidden')) {
      $(this).addClass('pdt_saved_filter')
    }
  })
})
$('.pdt-field-checkbox.pdt_advanced_filter').change(function (event) {
  $('.pdt-opened-accordion').each(function () {
    if ($(this).hasClass('hidden')) {
      $(this).removeClass('pdt_saved_filter')
    } else {
      $(this).addClass('pdt_saved_filter')
    }
    if (!$(this).hasClass('pdt_saved_filter')) {
      if (
        $(this)
          .find('.pdt-accordion-title')
          .siblings('.pdt-accordion-content')
          .hasClass('pdt-accordion-open')
      ) {
        $(this).find('.pdt-accordion-title')
      } else {
        $(this)
          .find('.pdt-accordion-title')
          .trigger('click')
        $(this)
          .find('.pdt-accordion-content')
          .find('.pdt-cloneable-add')
          .trigger('click')
      }
    }
  })
})

})( jQuery, window, document );