<?php

/**
 * Button
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/item/button.php
 *
 * @package    Productify_pro_Pro
 * @subpackage Productify_pro_Pro/public
 */

if ( 'text_link' === $button_type ) {
	?>

	<?php if ( 'none' === $pdt_page_link_type ) { ?>
		<a class="productify__item__btn" target="<?php echo esc_attr( $readmore_target ); ?>" <?php echo esc_html( $pdt_link_rel_text ); ?>>
		<?php } else { ?>
			<a class="productify__item__btn" target="<?php echo esc_attr( $readmore_target ); ?>" ta rel="<?php echo esc_attr( $pdt_link_rel ); ?>" href="<?php the_permalink( $product->get_id() ); ?>" <?php echo esc_html( $pdt_link_rel_text ); ?>>
			<?php } ?>

			<?php echo esc_html( $pdt_read_label ); ?> </a>

		<?php
} elseif ( 'add_to_cart' === $button_type ) {
	?>
			<div class="productify__item_button"> <?php echo do_shortcode( '[add_to_cart id="' . esc_attr( $product->get_id() ) . '" show_price="false"]' ); ?></div>
		<?php
} else {
	?>
			<div class="productify__item__content__readmore">
			<?php if ( 'none' === $pdt_page_link_type ) { ?>
					<a class="productify__item__btn" target="<?php echo esc_attr( $readmore_target ); ?>" <?php echo esc_html( $pdt_link_rel_text ); ?>>
					<?php } else { ?>
						<a class="productify__item__btn" target="<?php echo esc_attr( $readmore_target ); ?>" href="<?php the_permalink( $product->get_id() ); ?>" <?php echo esc_html( $pdt_link_rel_text ); ?>>
						<?php } ?>
					<?php echo esc_html( $pdt_read_label ); ?> </a>
			</div>
		<?php
}
