<?php

/**
 * Thumb taxonomy
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/item/over-thumb-taxonomy.php
 *
 * @package    Productify_Pro
 * @subpackage Productify_Pro/public
 */

?>
<div class="productify__item--archive <?php echo esc_attr( $product_thumb_meta_position ); ?>">
	<?php
	$term           = PDT_Functions::pdt_product_thumb_taxonomy( $taxonomy_name, $product->get_id() );
	$start_tag      = $is_table ? '<td class="ta-pdt-post-meta">' : '<li>';
	$end_tag        = $is_table ? '</td>' : '</li>';
	$meta_tag_start = apply_filters( 'pdt_product_meta_html_tag_start', $start_tag );
	$meta_tag_end   = apply_filters( 'pdt_product_meta_html_tag_end', $end_tag );

	if ( ! empty( $term ) ) {
		echo wp_kses_post( $meta_tag_start );
		echo wp_kses_post( $term );
		echo wp_kses_post( $meta_tag_end );
	}
	?>
</div>
