<?php
/**
 * Social share
 *
 * This template can be overridden by copying it to yourtheme/productify-pro-pro/templates/item/social-share.php
 *
 * @package    Productify_Pro
 * @subpackage Productify_Pro/public
 */

?>
<div class="productify__item__socail-share">
<?php
do_action( 'pdt_add_first_socials' );
foreach ( $social_share_media as $style_key => $style_value ) {
	switch ( $style_value ) {
		case 'facebook':
			?>
			<a title="<?php echo esc_attr( 'Facebook', 'productify-pro' ); ?>"  href="https://www.facebook.com/sharer/sharer.php?u=<?php echo get_permalink( $product->get_id() ); ?>" class="pdt-social-icon pdt-facebook <?php echo esc_attr( $social_icon_shape ); ?>" onClick="window.open('https://www.facebook.com/sharer.php?u=<?php echo get_permalink( $product->get_id() ); ?>','Facebook','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" ><i class="fab fa-facebook-f"></i></a>
			<?php
			break;
		case 'twitter':
			?>
			<a title="<?php echo esc_attr( 'Twitter', 'productify-pro' ); ?>" onClick="window.open('https://twitter.com/share?url=<?php echo get_permalink( $product->get_id() ); ?>&amp;text=<?php echo $product->get_name(); ?>','Twitter share','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="https://twitter.com/share?url=<?php echo get_permalink( $product->get_id() ); ?>&amp;text=<?php echo $product->get_name(); ?>" class="pdt-social-icon pdt-twitter <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fab fa-twitter"></i></a>
			<?php
			break;
		case 'linkedIn':
			?>
			<a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo get_permalink( $product->get_id() ); ?>" title="<?php echo esc_attr( 'linkedIn', 'productify-pro' ); ?>" class="pdt-social-icon pdt-linkedin <?php echo esc_attr( $social_icon_shape ); ?>" onClick="window.open('https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo get_permalink( $product->get_id() ); ?>','Linkedin','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo get_permalink( $product->get_id() ); ?>"> <i class="fab fa-linkedin-in"></i></a>
			<?php
			break;
		case 'pinterest':
			?>
			<a href='javascript:void((function()%7Bvar%20e=document.createElement(&apos;script&apos;);e.setAttribute(&apos;type&apos;,&apos;text/javascript&apos;);e.setAttribute(&apos;charset&apos;,&apos;UTF-8&apos;);e.setAttribute(&apos;src&apos;,&apos;https://assets.pinterest.com/js/pinmarklet.js?r=&apos;+Math.random()*99999999);document.body.appendChild(e)%7D)());' class="pdt-social-icon pdt-pinterest <?php echo esc_attr( $social_icon_shape ); ?>" title="<?php echo esc_attr( 'Pinterest', 'productify-pro' ); ?>"> <i class="fab fa-pinterest"></i></a>
			<?php
			break;
		case 'email':
			?>
			<a href="mailto:?Subject=<?php echo $product->get_name(); ?>&amp;Body=<?php echo get_permalink( $product->get_id() ); ?>" title="<?php echo esc_attr( 'Email', 'productify-pro' ); ?>" class="pdt-social-icon pdt-envelope <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="far fa-envelope"></i></a>
			<?php
			break;
		case 'instagram':
			?>
				<a title="<?php echo esc_attr( 'Instagram', 'productify-pro' ); ?>" onClick="window.open('https://instagram.com/?url=<?php echo get_permalink( $product->get_id() ); ?>&amp;text=<?php echo $product->get_name(); ?>','Twitter share','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="https://instagram.com/?url=<?php echo get_permalink( $product->get_id() ); ?>&amp;text=<?php echo $product->get_name(); ?>" class="pdt-social-icon pdt-instagram <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fab fa-instagram" aria-hidden="true"></i></a>
				<?php
			break;
		case 'whatsapp':
			?>
			<a href="https://api.whatsapp.com/send?text=<?php echo $product->get_name(); ?>%20<?php echo get_permalink( $product->get_id() ); ?>" onClick="window.open('https://api.whatsapp.com/send?text=<?php echo $product->get_name(); ?>%20<?php echo get_permalink( $product->get_id() ); ?>','whatsapp','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr( 'WhatsApp', 'productify-pro' ); ?>" class="pdt-social-icon pdt-whatsapp <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fab fa-whatsapp"></i></a>
			<?php
			break;
		case 'reddit':
			?>
			<a href="https://reddit.com/submit?url=<?php echo get_permalink( $product->get_id() ); ?>&amp;title=<?php echo $product->get_name(); ?>" onClick="window.open('https://reddit.com/submit?url=<?php echo get_permalink( $product->get_id() ); ?>&amp;title=<?php echo $product->get_name(); ?>','reddit','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr( 'Reddit', 'productify-pro' ); ?>"  class="pdt-social-icon pdt-reddit <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fab fa-reddit"></i></a>
			<?php
			break;
		case 'tumblr':
			?>
			<a href="https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php echo get_permalink( $product->get_id() ); ?>&amp;title=<?php echo $product->get_name(); ?>" title="<?php echo esc_attr( 'tumblr', 'productify-pro' ); ?>" onClick="window.open('https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php echo get_permalink( $product->get_id() ); ?>&amp;title=<?php echo $product->get_name(); ?>','tumblr','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" class="pdt-social-icon pdt-tumblr <?php echo esc_attr( $social_icon_shape ); ?>"><i class="fab fa-tumblr"></i></a>
			<?php
			break;
		case 'digg':
			?>
			<a href="https://digg.com/submit?url=<?php echo get_permalink( $product->get_id() ); ?>%&amp;title=<?php echo $product->get_name(); ?>" onClick="window.open('https://digg.com/submit?url=<?php echo get_permalink( $product->get_id() ); ?>%&amp;title=<?php echo $product->get_name(); ?>','Digg','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_html( 'digg', 'productify-pro' ); ?>" class="pdt-social-icon pdt-digg <?php echo esc_attr( $social_icon_shape ); ?>"><i class="fab fa-digg"></i></a>
			<?php
			break;
		case 'vk':
			?>
			<a href="https://vk.com/share.php?url=<?php echo get_permalink( $product->get_id() ); ?>&amp;title=<?php echo $product->get_name(); ?>&amp;comment="  title="<?php echo esc_attr( 'VK', 'productify-pro' ); ?>" onClick="window.open('https://vk.com/share.php','VK','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" class="pdt-social-icon pdt-vk <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fab fa-vk"></i></a>
			<?php
			break;
		case 'xing':
			?>
			<a href="https://www.xing.com/spi/shares/new?url=<?php echo get_permalink( $product->get_id() ); ?>" onClick="window.open('https://www.xing.com/spi/shares/new?url=<?php echo get_permalink( $product->get_id() ); ?>','xing','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;"  title="<?php echo esc_attr( 'Xing', 'productify-pro' ); ?>" class="pdt-social-icon pdt-xing <?php echo esc_attr( $social_icon_shape ); ?>"><i class="fab fa-xing"></i></a>
			<?php
			break;
		case 'pocket':
			?>
			<a href="https://getpocket.com/edit?url=<?php echo get_permalink( $product->get_id() ); ?>" onClick="window.open('https://getpocket.com/edit?url=<?php echo get_permalink( $product->get_id() ); ?>','ocket','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;"  title="<?php echo esc_attr( 'Pocket', 'productify-pro' ); ?>" class="pdt-social-icon pdt-pocket <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fab fa-get-pocket"></i></a>
			<?php
			break;
	}
}
do_action( 'pdt_add_last_socials' );
?>
</div>
<?php
