<?php

/**
 * Item Title
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/item/title.php
 *
 * @package    Productify_Pro
 * @subpackage Productify_Pro/public
 */
?>

<<?php echo esc_attr( $product_title_tag ); ?> class="productify__item--title">

	<?php if ( 'none' === $pdt_page_link_type ) { ?>
		<?php printf( '<a %2$s>%1$s</a>', wp_kses( trim( $pdt_product_title ), $allowed_html_tags ), esc_attr( $pdt_link_rel_text ) ); ?>
	<?php } else { ?>
		<?php printf( '<a href="%1$s" %3$s target="%4$s">%2$s</a>', esc_url( get_permalink( $product->get_id() ) ), wp_kses( trim( $pdt_product_title ), $allowed_html_tags ), esc_attr( $pdt_link_rel_text ), esc_attr( $pdt_link_target ) ); ?>
	<?php } ?>

</<?php echo esc_attr( $product_title_tag ); ?>>
