<?php

/**
 *  List view file
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/list.php
 *
 * @package    Productify_Pro
 * @subpackage Productify_Pro/public/template
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div id="pdt_wrapper-<?php echo esc_attr( $pdt_gl_id ); ?>" class="<?php self::pdt_wrapper_classes( $layout_preset, $pdt_gl_id, $pagination_type ); ?>" <?php self::wrapper_data( $pagination_type, $pagination_type_mobile, $pdt_gl_id ); ?> data-sid="<?php echo esc_attr( $pdt_gl_id ); ?>" data-lang="<?php echo esc_attr( $spta_lang ); ?>">
	<?php
	PDT_HTML::pdt_section_title( $section_title, $show_section_title );
	PDT_HTML::pdt_preloader( $show_preloader );
	?>
	<?php require PDT_Functions::pdt_locate_template( 'filter-bar.php' ); ?>
	<div class="productify">
		<div class="ta-row">
			<?php self::pdt_get_posts( $options, $layout_preset, $product_content_sorter, $pdt_query, $pdt_gl_id ); ?>
		</div>
	</div>
	<?php require PDT_Functions::pdt_locate_template( 'pagination.php' ); ?>
</div>